import * as $dara from '@darabonba/typescript';
import { RedeployDedicatedHostResponseBody } from "./RedeployDedicatedHostResponseBody";
export declare class RedeployDedicatedHostResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RedeployDedicatedHostResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
